tp4_xres: intermittent "invalid literal for float()" ValueError:

RESOLVED FIXED

Status

Release Engineering
General
RESOLVED FIXED
9 years ago
5 years ago

People

(Reporter: karlt, Assigned: lsblakk)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment, 1 obsolete attachment)

Generating results file: tp4_xres: 
		Started Sun, 29 Nov 2009 14:07:24
Traceback (most recent call last):
  File "run_tests.py", line 421, in <module>
    test_file(arg)
  File "run_tests.py", line 403, in test_file
    links = send_to_graph(results_server, results_link, title, date, browser_config, results)
  File "run_tests.py", line 213, in send_to_graph
    result_strings.append(construct_results(machine, counterName, browser_config['branch_name'], browser_config['sourcestamp'], browser_config['buildid'], date, vals))
  File "run_tests.py", line 169, in construct_results
    data_string += "%d,%.2f,%s\n" % (i,float(val), page)
ValueError: invalid literal for float(): 154560681 - File Manager ( PID: 5724 ):	res_base      : ox1c00000	res_mask      : ox1fffff	windows       : 10	GCs           : 64	fonts         : 1	pixmaps       : 5	pictures      : 3	glyphsets     : 0
program finished with exit code 1

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1259532165.1259533136.5569.gz#err0
(Reporter)

Comment 1

9 years ago
Linux mozilla-central talos tp4 on 2009/11/26 20:42:04

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1259296924.1259297944.1041.gz
(Reporter)

Comment 2

9 years ago
Linux mozilla-central talos tp4 on 2009/11/17 23:43:32
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1258530212.1258531309.2401.gz
Linux mozilla-central talos tp4 on 2009/11/17 18:03:28
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1258509808.1258510765.32065.gz
Pinged Lukas about this on IRC, she said she'd have a look.
Assignee: nobody → lsblakk
(Assignee)

Comment 4

9 years ago
Created attachment 415443 [details] [diff] [review]
Raise error on invalid float value in GetXRes

Raises the error to the counter manager whenever total bytes for x resources are not available.
Attachment #415443 - Flags: review?(anodelman)
Comment on attachment 415443 [details] [diff] [review]
Raise error on invalid float value in GetXRes

I don't think that this will do quite what you want, as the float(data) exception will get caught, messaged then raised and caught by the second try.  You probably want a try block containing up till pipe.close() and then a second try block that checks the value collected.
Attachment #415443 - Flags: review?(anodelman) → review-
(Assignee)

Comment 6

9 years ago
Created attachment 415689 [details] [diff] [review]
Raise error on invalid float value in GetXRes with second try block
Attachment #415443 - Attachment is obsolete: true
Attachment #415689 - Flags: review?(anodelman)
Attachment #415689 - Flags: review?(anodelman) → review+
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1260476429.1260477455.31289.gz
Linux mozilla-central talos tp4 on 2009/12/10 12:20:29
(philor and I think this is a case of this bug)
This is now happening on 1.9.2. I don't see it there in the preceding week or so. Perhaps related to something that was recently landed on branch?

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1260859657.1260860736.30823.gz
Linux mozilla-1.9.2 talos tp4 on 2009/12/14 22:47:37

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1260861923.1260863032.23480.gz
Linux mozilla-1.9.2 talos tp4 on 2009/12/14 23:25:23
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1260937609.1260938670.12244.gz
Linux mozilla-1.9.2 talos tp4 on 2009/12/15 20:26:49
Comment on attachment 415689 [details] [diff] [review]
Raise error on invalid float value in GetXRes with second try block

Checking in cmanager_linux.py;
/cvsroot/mozilla/testing/performance/talos/cmanager_linux.py,v  <--  cmanager_linux.py
new revision: 1.5; previous revision: 1.4
done
Attachment #415689 - Flags: checked-in+
Looks like this hasn't come up again in a couple of weeks.  Closing.
Status: NEW → RESOLVED
Last Resolved: 9 years ago
Resolution: --- → FIXED
Keywords: intermittent-failure
Whiteboard: [orange]
Product: mozilla.org → Release Engineering
You need to log in before you can comment on or make changes to this bug.